Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 9398)
+++ trunk/MagicSoft/Mars/Changelog	(revision 9399)
@@ -18,4 +18,13 @@
 
                                                  -*-*- END OF LINE -*-*-
+ 2009/03/16 Stefan Ruegamer
+   * datacenter/scripts/makecallistolinks
+     - added >/dev/null in line 68 to prevent the mails to dc@astro
+     - removed the -v for the ln
+   * datacenter/scripts/sourcefile
+     - added printprocesslog for rm -v in the finish function (mails)
+
+
+
  2009/03/15 Thomas Bretz
 
Index: trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks	(revision 9398)
+++ trunk/MagicSoft/Mars/datacenter/scripts/makecallistolinks	(revision 9399)
@@ -66,5 +66,5 @@
    telnum=${primaries[$s+$s+1]}
    callistorc=$datapath/callisto/`printf %08d $sequence | cut -c 0-4`/`printf %08d $sequence`/$callistorcseq
-   if ! ls -l $callistorc 2>/dev/null | grep $callistorcnew 
+   if ! ls -l $callistorc 2>/dev/null | grep $callistorcnew >/dev/null
    then 
       printprocesslog "INFO linking $callistorcnew to $callistorc for sequ $sequence"
@@ -82,5 +82,5 @@
       
       #linking callisto.rc
-      if ln -vfs $setuppath/callisto/$callistorcnew $callistorc 
+      if ln -fs $setuppath/callisto/$callistorcnew $callistorc
       then 
          printprocesslog "INFO link callisto.rc successfully for sequence $sequence"
Index: trunk/MagicSoft/Mars/datacenter/scripts/sourcefile
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 9398)
+++ trunk/MagicSoft/Mars/datacenter/scripts/sourcefile	(revision 9399)
@@ -87,5 +87,5 @@
    if ! [ "$lockfile" = "" ] && ls $lockfile >/dev/null 2>&1
    then 
-      rm -v $lockfile
+      printprocesslog `rm -v $lockfile`
    fi
    printprocesslog "INFO finished $0"
